Subject: [IPTEL] I-D ACTION:draft-ietf-iptel-trip-02.txt

From: [email-masked]
Date: Thu, 01 Jun 2000 06:31:20 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IP Telephony Working Group of the IETF.

	Title		: Telephony Routing over IP (TRIP)
	Author(s)	: J. Rosenberg,  H. Salama, M. Squire	
        Filename	: draft-ietf-iptel-trip-02.txt
	Pages		: 71
	Date		: 31-May-00
	
This document presents the Telephony Routing over IP (TRIP). TRIP is
a policy driven inter-administrative domain protocol for advertising
the reachability of telephony destinations between location servers,
and for advertising attributes of the routes to those destinations.
TRIPÆs operation is independent of any signaling protocol,hence TRIP
can serve as the telephony routing protocol for any signaling
protocol.
The Border Gateway Protocol (BGP-4) is used to distribute routing
information between administrative domains. TRIP is used to
distribute telephony routing information between telephony
administrative domains. The similarity between the two protocols is
obvious, and hence TRIP is modeled after BGP-4.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-iptel-trip-02.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-iptel-trip-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-iptel-trip-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: James Yu <[email-masked]>
Date: Thu, 8 Jun 2000 23:38:23 -0500

My understanding about the reason of using the digit A, B, ... or F is to
avoid taking away the valid E.164 numbers from being assigned as subscriber
numbers.  In ISUP Called Party Number parameter, there is a Nature of
Address (NOA) field.  Some countries assigned a new NOA value
(country-specific) to indicate that routing number is concatenated with the
dialed called party number and may implicitly indicate that NP database dip
has been performed.  If we use "rn" parameter in tel URL to carry the
routing number, we may need to define the rn in a way to allow 0-9 and A-F.

The routing number, for example, "5xxxxx+ additional digits defined by the
assigned carrier" in UK, may have hierarchy where "5" indicates a routing
number for NP and "xxxxx" identifies the carrier.  The "additional digits"
may have hierarchy.  For example, BT may define the routing number to
identify the line card (concentrator) at the switch.  This implies that
those "additional digits" can be divided at least into two levels: one
identifies the switch and the other the line card.

James

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Thursday, June 08, 2000 5:38 PM
> To: James Yu
> Cc: [email-masked]'; [email-masked]'
> Subject: Re: [IPTEL] I-D ACTION:draft-ietf-iptel-trip-02.txt
> 
> 
> 
> 
> James Yu wrote:
> > 
> > > >
> > > > In the North America, the network routing numbers are
> > > called Location
> > > > Routing Numbers (LRNs).  They "look" like subscriber phone
> > > numbers (e.g.,
> > > > the same length) and can overlap with the subscriber phone
> > > numbers.  In some
> > > > European countries, special digit (e.g., A and B) are used
> > > to differentiate
> > > > the network routing numbers from the subscriber phone
> > > numbers.  Those
> > >
> > > I think TRIP should be extended advertising these 
> European formats. Is
> > > this an extended form of E.164, or should it be a separate address
> > > family?
> > 
> > Some of the routing numbers (or routig prefixes, as they are usually
> > prefixes to the dialed called party number) contain the 
> digits outside 0-9
> > (e.g., A, B, C, D, E, and F).  They are valid routing 
> numbers (national
> > numbers) either within one network (used by a particular 
> network) or between
> > networks.  Since they don't just contain digits 0-9, we may 
> not say that
> > they follow E.164 format. 
> 
> Oh yuck.
> 
> I'm curious how this impacts the aggregatability of such numbers? Are
> they assigned in such a way that they can still be aggregated even
> though there are these random letters in the phone number? Is 
> there any
> kind of hierarchy in these numbers?
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg                       72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
> 

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel

---

From: [email-masked]
Date: Fri, 9 Jun 2000 13:32:57 +0200

I can agree with the explanation of the use of hexadecimal digits in the
Routing Number.
But not all values "A-F" can be used. Value "B and C" are standardised as
digits for special operator functions.
Value "F" has never been used for the Routing Number or other applications,
because this value is standardised and used as the "End of Signal"
indication in the routing process. That means that subsequent digits are
not accepted and therefore discarded.

So for the Routing Number the following digits can be used:

1) hexadecimal digits A, D, E;
   the use of B and C is country specific

or

2) free number blocks of the numbering range

Please take this correction into account if the relevant text will be
included in the next draft of TRIP.

Kind regards,

Monika Muench
Alcatel SEL AG, Germany

----------
From: [email-masked]
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [IPTEL] I-D ACTION:draft-ietf-iptel-trip-02.txt
Date: Friday, June 09, 2000 6:38AM

James

---

From: [email-masked]
Date: Tue, 13 Jun 2000 16:59:01 +0200

Some important information with regard to the Routeing Number used in
telecommunication networks, if Number Portability has to be supported:
======================================================================

In the existing networks, routeing is a quite complex procedure. Several
input data are used (e.g. information from and on the origin, information
on the destination, signalling capabilities, bearer requirements). Before
Number Portability, there was no real distinction between the Directory
Number and the Routeing Number; now, for a call without Number Portability,
the same still applies - there is no real distinction between the Directory
Number and the Routeing Number. Both are represented by one and the same
E.164-number which is transferred in one parameter (Called Party Number
parameter).

By the introduction of Number Portability, this has changed. There is a need
for a split into a Directory Number (DN) and a Routeing Number (RN), also
from a protocol point of view. The DN does not change, while the RN is used
for routeing purposes.

From an ISUP perspective, three addressing mechanisms for the RN have
been specified in Q.769.1. ETSI has endorsed Q.769.1 with one
exception: The NP-method "Dropback" is not supported. Again - as
far as the addressing mechanisms are concerned, there is no
difference between ITU-T and ETSI.

Number Portability is used only in a national environment and has never been
planned for international use, i.e. in the case of international calls,
it is always seen as the responsibility of the destination country to
perform Number Portability (especially the data base query).
Example: An "All Call Query" in the origination country for an international
call is not planned to be used for Number Portability.
When the call enters the network of the destination network then e.g.
the "All Call Query" solution can be used to retrieve the Routeing Number.

If the data base query for international calls should be performed in
the origination country, several problems have to be solved, e.g.
administrating ALL routing numbers (worldwide!) and keeping them up to date.

In general for the coding of the Routeing Number in ISUP the same principles
apply as for the called party number otherwise a worldwide function of
telecommunication would not work if basic routeing procedures would be
changed. However, the Number Portability relevant parts of the ISUP
protocol are for "national use". Therefore, (bilateral?) agreements
on the ISUP protocol issues are needed as well.

NOTE: The coding and the rules can be found in ITU-T ISUP
Recommendation Q.763, Q.764 (12/99), and Q.769.1. As far as ETSI is
concerned: see above.

Kind regards,

Monika Muench
Alcatel SEL AG, Germany

----------
From: [email-masked]
To: Muench, Monika / selh2
Subject: Re: [IPTEL] I-D ACTION:draft-ietf-iptel-trip-02.txt
Date: Monday, June 12, 2000 9:05AM

Monika,

Are the formats of European routning numbers standardized somewhere?
Could you please point me to the relevant standards?

Thank you.

Hussein

--
Hussein F. Salama
Cisco Systems
Mail Stop SJC6/3, 170 W. Tasman Drive, San Jose, CA 95134
Voice: +1 (408) 527-7147, Fax: +1 (408) 527-1714